######################
# Hardcode PLF build
%define build_plf 0
######################

%if %{build_plf}
%define distsuffix plf
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif

Summary:	An audio converter
Name:		audiokonverter
Version:	5.9.5
Release:	1%{?extrarelsuffix}
License:	GPLv2+
Group:		Sound
Url:		https://store.kde.org/p/998467/
Source0:	https://dl.opendesktop.org/api/files/download/id/1504032176/%{name}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
Patch0:		%{name}-5.9.5-no-faac-no-Encoding-in-desktop-files.patch
BuildRequires:	kde4-macros
Requires:	dolphin
%if %{build_plf}
Requires:	faac
Requires:	faad2
%endif
Requires:	flac
Requires:	id3lib
# mp3 patents expired in April 2017
Requires:	lame
Requires:	mplayer
Requires:	vorbis-tools
Requires:	wavpack
BuildArch:	noarch

%description
This is a small utility to easily convert audio from OGG, MP3, AAC, M4A, FLAC,
WMA, RealAudio, Musepack, Wavpack, WAV and movies to MP3, OGG, M4A, WAV and
FLAC in Konqueror (KDE3) or Dolphin (KDE4) by right-clicking on them.
%if %{build_plf}
This package is in restricted because it requires packages that are in
restricted (faac, faad2).
%endif

%files
%doc README Changelog COPYING
%{_kde_bindir}/*
%{_kde_services}/ServiceMenus/*.desktop
%{_kde_appsdir}/dolphin/servicemenus/*.desktop

#-----------------------------------------------------------------------------

%prep
%setup -q
%if !%{build_plf}
%patch0 -p1 -b .plf
%endif


%build
# Only scripts: nothing to do.


%install
mkdir -p %{buildroot}%{_kde_services}/ServiceMenus
install -m 644 *4.desktop %{buildroot}%{_kde_services}/ServiceMenus
mkdir -p %{buildroot}%{_kde_appsdir}/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%{_kde_appsdir}/dolphin/servicemenus
mkdir -p %{buildroot}%{_kde_bindir}
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %{buildroot}%{_kde_bindir}

%changelog

* Mon Oct 09 2017 Giovanni Mariani <mc2374@mclink.it> 5.9.5-1
- (44d302f) Updated to release 5.9.5, enabled lame support (patent expired), remade P0 (disable only ACC and remove deprecated .desktop keys), updated URLs and fixed Description text


